// 省市县

export interface AreaTreeType {
    adcode: string
    citycode?: string
    name: string
    level: string
    center?: { P: number; Q: number; lng: number; lat: number }
    districtList?: AreaTreeType[]
}

export const CITYAREAS: AreaTreeType[] = [
    {
        adcode: '430000',
        name: '湖南省',
        center: { P: 27.728921, Q: 111.777057, lng: 111.777057, lat: 27.728921 },
        level: 'province',
        districtList: [
            {
                citycode: '0731',
                adcode: '430100',
                name: '长沙市',
                center: { P: 28.19409, Q: 112.982279, lng: 112.982279, lat: 28.19409 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0731',
                        adcode: '430103',
                        name: '天心区',
                        center: { P: 28.192375, Q: 112.97307, lng: 112.97307, lat: 28.192375 },
                        level: 'district',
                    },
                    {
                        citycode: '0731',
                        adcode: '430105',
                        name: '开福区',
                        center: { P: 28.201336, Q: 112.985525, lng: 112.985525, lat: 28.201336 },
                        level: 'district',
                    },
                    {
                        citycode: '0731',
                        adcode: '430104',
                        name: '岳麓区',
                        center: { P: 28.213044, Q: 112.91159099999999, lng: 112.911591, lat: 28.213044 },
                        level: 'district',
                    },
                    {
                        citycode: '0731',
                        adcode: '430181',
                        name: '浏阳市',
                        center: { P: 28.141112, Q: 113.63330100000002, lng: 113.633301, lat: 28.141112 },
                        level: 'district',
                    },
                    {
                        citycode: '0731',
                        adcode: '430111',
                        name: '雨花区',
                        center: { P: 28.109937, Q: 113.01633700000002, lng: 113.016337, lat: 28.109937 },
                        level: 'district',
                    },
                    {
                        citycode: '0731',
                        adcode: '430121',
                        name: '长沙县',
                        center: { P: 28.237888, Q: 113.08009800000002, lng: 113.080098, lat: 28.237888 },
                        level: 'district',
                    },
                    {
                        citycode: '0731',
                        adcode: '430102',
                        name: '芙蓉区',
                        center: { P: 28.193106, Q: 112.98809399999999, lng: 112.988094, lat: 28.193106 },
                        level: 'district',
                    },
                    {
                        citycode: '0731',
                        adcode: '430182',
                        name: '宁乡市',
                        center: { P: 28.253928, Q: 112.55318199999999, lng: 112.553182, lat: 28.253928 },
                        level: 'district',
                    },
                    {
                        citycode: '0731',
                        adcode: '430112',
                        name: '望城区',
                        center: { P: 28.347458, Q: 112.819549, lng: 112.819549, lat: 28.347458 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0733',
                adcode: '430200',
                name: '株洲市',
                center: { P: 27.835806, Q: 113.15173700000003, lng: 113.151737, lat: 27.835806 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0733',
                        adcode: '430202',
                        name: '荷塘区',
                        center: { P: 27.833036, Q: 113.16254800000002, lng: 113.162548, lat: 27.833036 },
                        level: 'district',
                    },
                    {
                        citycode: '0733',
                        adcode: '430223',
                        name: '攸县',
                        center: { P: 27.000071, Q: 113.345774, lng: 113.345774, lat: 27.000071 },
                        level: 'district',
                    },
                    {
                        citycode: '0733',
                        adcode: '430224',
                        name: '茶陵县',
                        center: { P: 26.789534, Q: 113.54650900000001, lng: 113.546509, lat: 26.789534 },
                        level: 'district',
                    },
                    {
                        citycode: '0733',
                        adcode: '430225',
                        name: '炎陵县',
                        center: { P: 26.489459, Q: 113.776884, lng: 113.776884, lat: 26.489459 },
                        level: 'district',
                    },
                    {
                        citycode: '0733',
                        adcode: '430211',
                        name: '天元区',
                        center: { P: 27.826909, Q: 113.13625200000001, lng: 113.136252, lat: 27.826909 },
                        level: 'district',
                    },
                    {
                        citycode: '0733',
                        adcode: '430203',
                        name: '芦淞区',
                        center: { P: 27.827246, Q: 113.155169, lng: 113.155169, lat: 27.827246 },
                        level: 'district',
                    },
                    {
                        citycode: '0733',
                        adcode: '430212',
                        name: '渌口区',
                        center: { P: 27.705844, Q: 113.14617599999997, lng: 113.146176, lat: 27.705844 },
                        level: 'district',
                    },
                    {
                        citycode: '0733',
                        adcode: '430204',
                        name: '石峰区',
                        center: { P: 27.871945, Q: 113.11295000000001, lng: 113.11295, lat: 27.871945 },
                        level: 'district',
                    },
                    {
                        citycode: '0733',
                        adcode: '430281',
                        name: '醴陵市',
                        center: { P: 27.657873, Q: 113.507157, lng: 113.507157, lat: 27.657873 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0732',
                adcode: '430300',
                name: '湘潭市',
                center: { P: 27.82973, Q: 112.944052, lng: 112.944052, lat: 27.82973 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0732',
                        adcode: '430304',
                        name: '岳塘区',
                        center: { P: 27.828854, Q: 112.927707, lng: 112.927707, lat: 27.828854 },
                        level: 'district',
                    },
                    {
                        citycode: '0732',
                        adcode: '430302',
                        name: '雨湖区',
                        center: { P: 27.86077, Q: 112.90742699999998, lng: 112.907427, lat: 27.86077 },
                        level: 'district',
                    },
                    {
                        citycode: '0732',
                        adcode: '430321',
                        name: '湘潭县',
                        center: { P: 27.778601, Q: 112.95282900000001, lng: 112.952829, lat: 27.778601 },
                        level: 'district',
                    },
                    {
                        citycode: '0732',
                        adcode: '430382',
                        name: '韶山市',
                        center: { P: 27.922682, Q: 112.52848, lng: 112.52848, lat: 27.922682 },
                        level: 'district',
                    },
                    {
                        citycode: '0732',
                        adcode: '430381',
                        name: '湘乡市',
                        center: { P: 27.734918, Q: 112.525217, lng: 112.525217, lat: 27.734918 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0734',
                adcode: '430400',
                name: '衡阳市',
                center: { P: 26.900358, Q: 112.60769299999998, lng: 112.607693, lat: 26.900358 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0734',
                        adcode: '430423',
                        name: '衡山县',
                        center: { P: 27.234808, Q: 112.86971, lng: 112.86971, lat: 27.234808 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430424',
                        name: '衡东县',
                        center: { P: 27.083531, Q: 112.95041200000003, lng: 112.950412, lat: 27.083531 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430412',
                        name: '南岳区',
                        center: { P: 27.240536, Q: 112.73414700000001, lng: 112.734147, lat: 27.240536 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430421',
                        name: '衡阳县',
                        center: { P: 26.962388, Q: 112.37964299999999, lng: 112.379643, lat: 26.962388 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430405',
                        name: '珠晖区',
                        center: { P: 26.891063, Q: 112.62632400000001, lng: 112.626324, lat: 26.891063 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430406',
                        name: '雁峰区',
                        center: { P: 26.893694, Q: 112.61224099999998, lng: 112.612241, lat: 26.893694 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430426',
                        name: '祁东县',
                        center: { P: 26.787109, Q: 112.11119200000002, lng: 112.111192, lat: 26.787109 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430407',
                        name: '石鼓区',
                        center: { P: 26.903908, Q: 112.60763500000002, lng: 112.607635, lat: 26.903908 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430422',
                        name: '衡南县',
                        center: { P: 26.739973, Q: 112.677459, lng: 112.677459, lat: 26.739973 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430481',
                        name: '耒阳市',
                        center: { P: 26.414162, Q: 112.847215, lng: 112.847215, lat: 26.414162 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430408',
                        name: '蒸湘区',
                        center: { P: 26.89087, Q: 112.570608, lng: 112.570608, lat: 26.89087 },
                        level: 'district',
                    },
                    {
                        citycode: '0734',
                        adcode: '430482',
                        name: '常宁市',
                        center: { P: 26.406773, Q: 112.39682099999999, lng: 112.396821, lat: 26.406773 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0739',
                adcode: '430500',
                name: '邵阳市',
                center: { P: 27.237842, Q: 111.46922999999998, lng: 111.46923, lat: 27.237842 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0739',
                        adcode: '430524',
                        name: '隆回县',
                        center: { P: 27.116002, Q: 111.03878500000002, lng: 111.038785, lat: 27.116002 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430511',
                        name: '北塔区',
                        center: { P: 27.245688, Q: 111.452315, lng: 111.452315, lat: 27.245688 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430523',
                        name: '邵阳县',
                        center: { P: 26.989713, Q: 111.27570000000003, lng: 111.2757, lat: 26.989713 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430502',
                        name: '双清区',
                        center: { P: 27.240001, Q: 111.47975600000001, lng: 111.479756, lat: 27.240001 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430503',
                        name: '大祥区',
                        center: { P: 27.233593, Q: 111.46296799999999, lng: 111.462968, lat: 27.233593 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430527',
                        name: '绥宁县',
                        center: { P: 26.580622, Q: 110.15507500000001, lng: 110.155075, lat: 26.580622 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430528',
                        name: '新宁县',
                        center: { P: 26.438912, Q: 110.85911499999997, lng: 110.859115, lat: 26.438912 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430529',
                        name: '城步苗族自治县',
                        center: { P: 26.363575, Q: 110.31322599999999, lng: 110.313226, lat: 26.363575 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430581',
                        name: '武冈市',
                        center: { P: 26.732086, Q: 110.63680399999998, lng: 110.636804, lat: 26.732086 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430525',
                        name: '洞口县',
                        center: { P: 27.062286, Q: 110.57921199999998, lng: 110.579212, lat: 27.062286 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430521',
                        name: '邵东县',
                        center: { P: 27.257273, Q: 111.74316799999997, lng: 111.743168, lat: 27.257273 },
                        level: 'district',
                    },
                    {
                        citycode: '0739',
                        adcode: '430522',
                        name: '新邵县',
                        center: { P: 27.311429, Q: 111.45976200000001, lng: 111.459762, lat: 27.311429 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0730',
                adcode: '430600',
                name: '岳阳市',
                center: { P: 29.37029, Q: 113.132855, lng: 113.132855, lat: 29.37029 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0730',
                        adcode: '430603',
                        name: '云溪区',
                        center: { P: 29.473395, Q: 113.27386999999999, lng: 113.27387, lat: 29.473395 },
                        level: 'district',
                    },
                    {
                        citycode: '0730',
                        adcode: '430623',
                        name: '华容县',
                        center: { P: 29.524107, Q: 112.559369, lng: 112.559369, lat: 29.524107 },
                        level: 'district',
                    },
                    {
                        citycode: '0730',
                        adcode: '430602',
                        name: '岳阳楼区',
                        center: { P: 29.366784, Q: 113.12075099999998, lng: 113.120751, lat: 29.366784 },
                        level: 'district',
                    },
                    {
                        citycode: '0730',
                        adcode: '430611',
                        name: '君山区',
                        center: { P: 29.438062, Q: 113.00408199999998, lng: 113.004082, lat: 29.438062 },
                        level: 'district',
                    },
                    {
                        citycode: '0730',
                        adcode: '430681',
                        name: '汨罗市',
                        center: { P: 28.803149, Q: 113.07941900000003, lng: 113.079419, lat: 28.803149 },
                        level: 'district',
                    },
                    {
                        citycode: '0730',
                        adcode: '430624',
                        name: '湘阴县',
                        center: { P: 28.677498, Q: 112.889748, lng: 112.889748, lat: 28.677498 },
                        level: 'district',
                    },
                    {
                        citycode: '0730',
                        adcode: '430621',
                        name: '岳阳县',
                        center: { P: 29.144843, Q: 113.11607300000003, lng: 113.116073, lat: 29.144843 },
                        level: 'district',
                    },
                    {
                        citycode: '0730',
                        adcode: '430682',
                        name: '临湘市',
                        center: { P: 29.471594, Q: 113.45080899999999, lng: 113.450809, lat: 29.471594 },
                        level: 'district',
                    },
                    {
                        citycode: '0730',
                        adcode: '430626',
                        name: '平江县',
                        center: { P: 28.701523, Q: 113.593751, lng: 113.593751, lat: 28.701523 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0744',
                adcode: '430800',
                name: '张家界市',
                center: { P: 29.127401, Q: 110.47992099999999, lng: 110.479921, lat: 29.127401 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0744',
                        adcode: '430821',
                        name: '慈利县',
                        center: { P: 29.423876, Q: 111.132702, lng: 111.132702, lat: 29.423876 },
                        level: 'district',
                    },
                    {
                        citycode: '0744',
                        adcode: '430811',
                        name: '武陵源区',
                        center: { P: 29.347827, Q: 110.54757999999998, lng: 110.54758, lat: 29.347827 },
                        level: 'district',
                    },
                    {
                        citycode: '0744',
                        adcode: '430822',
                        name: '桑植县',
                        center: { P: 29.399939, Q: 110.164039, lng: 110.164039, lat: 29.399939 },
                        level: 'district',
                    },
                    {
                        citycode: '0744',
                        adcode: '430802',
                        name: '永定区',
                        center: { P: 29.125961, Q: 110.48455899999999, lng: 110.484559, lat: 29.125961 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0737',
                adcode: '430900',
                name: '益阳市',
                center: { P: 28.570066, Q: 112.35504200000003, lng: 112.355042, lat: 28.570066 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0737',
                        adcode: '430921',
                        name: '南县',
                        center: { P: 29.372181, Q: 112.41039899999998, lng: 112.410399, lat: 29.372181 },
                        level: 'district',
                    },
                    {
                        citycode: '0737',
                        adcode: '430981',
                        name: '沅江市',
                        center: { P: 28.839713, Q: 112.361088, lng: 112.361088, lat: 28.839713 },
                        level: 'district',
                    },
                    {
                        citycode: '0737',
                        adcode: '430902',
                        name: '资阳区',
                        center: { P: 28.592771, Q: 112.33083999999997, lng: 112.33084, lat: 28.592771 },
                        level: 'district',
                    },
                    {
                        citycode: '0737',
                        adcode: '430922',
                        name: '桃江县',
                        center: { P: 28.520993, Q: 112.13973199999998, lng: 112.139732, lat: 28.520993 },
                        level: 'district',
                    },
                    {
                        citycode: '0737',
                        adcode: '430903',
                        name: '赫山区',
                        center: { P: 28.568327, Q: 112.36094600000001, lng: 112.360946, lat: 28.568327 },
                        level: 'district',
                    },
                    {
                        citycode: '0737',
                        adcode: '430923',
                        name: '安化县',
                        center: { P: 28.377421, Q: 111.22182399999997, lng: 111.221824, lat: 28.377421 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0736',
                adcode: '430700',
                name: '常德市',
                center: { P: 29.040225, Q: 111.69134700000001, lng: 111.691347, lat: 29.040225 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0736',
                        adcode: '430726',
                        name: '石门县',
                        center: { P: 29.584703, Q: 111.37908700000003, lng: 111.379087, lat: 29.584703 },
                        level: 'district',
                    },
                    {
                        citycode: '0736',
                        adcode: '430723',
                        name: '澧县',
                        center: { P: 29.64264, Q: 111.76168200000001, lng: 111.761682, lat: 29.64264 },
                        level: 'district',
                    },
                    {
                        citycode: '0736',
                        adcode: '430724',
                        name: '临澧县',
                        center: { P: 29.443217, Q: 111.645602, lng: 111.645602, lat: 29.443217 },
                        level: 'district',
                    },
                    {
                        citycode: '0736',
                        adcode: '430781',
                        name: '津市市',
                        center: { P: 29.630867, Q: 111.87960900000002, lng: 111.879609, lat: 29.630867 },
                        level: 'district',
                    },
                    {
                        citycode: '0736',
                        adcode: '430702',
                        name: '武陵区',
                        center: { P: 29.040477, Q: 111.690718, lng: 111.690718, lat: 29.040477 },
                        level: 'district',
                    },
                    {
                        citycode: '0736',
                        adcode: '430722',
                        name: '汉寿县',
                        center: { P: 28.907319, Q: 111.96850599999999, lng: 111.968506, lat: 28.907319 },
                        level: 'district',
                    },
                    {
                        citycode: '0736',
                        adcode: '430703',
                        name: '鼎城区',
                        center: { P: 29.014426, Q: 111.68532700000003, lng: 111.685327, lat: 29.014426 },
                        level: 'district',
                    },
                    {
                        citycode: '0736',
                        adcode: '430725',
                        name: '桃源县',
                        center: { P: 28.902734, Q: 111.48450300000002, lng: 111.484503, lat: 28.902734 },
                        level: 'district',
                    },
                    {
                        citycode: '0736',
                        adcode: '430721',
                        name: '安乡县',
                        center: { P: 29.414483, Q: 112.17228899999998, lng: 112.172289, lat: 29.414483 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0738',
                adcode: '431300',
                name: '娄底市',
                center: { P: 27.728136, Q: 112.00849700000003, lng: 112.008497, lat: 27.728136 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0738',
                        adcode: '431381',
                        name: '冷水江市',
                        center: { P: 27.685759, Q: 111.43467399999997, lng: 111.434674, lat: 27.685759 },
                        level: 'district',
                    },
                    {
                        citycode: '0738',
                        adcode: '431322',
                        name: '新化县',
                        center: { P: 27.737456, Q: 111.30674699999997, lng: 111.306747, lat: 27.737456 },
                        level: 'district',
                    },
                    {
                        citycode: '0738',
                        adcode: '431382',
                        name: '涟源市',
                        center: { P: 27.692301, Q: 111.67084699999998, lng: 111.670847, lat: 27.692301 },
                        level: 'district',
                    },
                    {
                        citycode: '0738',
                        adcode: '431321',
                        name: '双峰县',
                        center: { P: 27.459126, Q: 112.19824499999999, lng: 112.198245, lat: 27.459126 },
                        level: 'district',
                    },
                    {
                        citycode: '0738',
                        adcode: '431302',
                        name: '娄星区',
                        center: { P: 27.726643, Q: 112.008486, lng: 112.008486, lat: 27.726643 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0735',
                adcode: '431000',
                name: '郴州市',
                center: { P: 25.793589, Q: 113.03206699999998, lng: 113.032067, lat: 25.793589 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0735',
                        adcode: '431028',
                        name: '安仁县',
                        center: { P: 26.708625, Q: 113.27217000000002, lng: 113.27217, lat: 26.708625 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431023',
                        name: '永兴县',
                        center: { P: 26.129392, Q: 113.11481900000001, lng: 113.114819, lat: 26.129392 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431081',
                        name: '资兴市',
                        center: { P: 25.974152, Q: 113.23681999999997, lng: 113.23682, lat: 25.974152 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431027',
                        name: '桂东县',
                        center: { P: 26.073917, Q: 113.94587899999999, lng: 113.945879, lat: 26.073917 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431003',
                        name: '苏仙区',
                        center: { P: 25.793157, Q: 113.03869800000001, lng: 113.038698, lat: 25.793157 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431026',
                        name: '汝城县',
                        center: { P: 25.553759, Q: 113.68568600000003, lng: 113.685686, lat: 25.553759 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431002',
                        name: '北湖区',
                        center: { P: 25.792628, Q: 113.03220799999997, lng: 113.032208, lat: 25.792628 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431025',
                        name: '临武县',
                        center: { P: 25.279119, Q: 112.56458900000001, lng: 112.564589, lat: 25.279119 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431021',
                        name: '桂阳县',
                        center: { P: 25.737447, Q: 112.734466, lng: 112.734466, lat: 25.737447 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431022',
                        name: '宜章县',
                        center: { P: 25.394345, Q: 112.94788399999999, lng: 112.947884, lat: 25.394345 },
                        level: 'district',
                    },
                    {
                        citycode: '0735',
                        adcode: '431024',
                        name: '嘉禾县',
                        center: { P: 25.587309, Q: 112.37061799999998, lng: 112.370618, lat: 25.587309 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0746',
                adcode: '431100',
                name: '永州市',
                center: { P: 26.434516, Q: 111.60801900000001, lng: 111.608019, lat: 26.434516 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0746',
                        adcode: '431122',
                        name: '东安县',
                        center: { P: 26.397278, Q: 111.31303500000001, lng: 111.313035, lat: 26.397278 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431121',
                        name: '祁阳县',
                        center: { P: 26.585929, Q: 111.85734000000002, lng: 111.85734, lat: 26.585929 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431103',
                        name: '冷水滩区',
                        center: { P: 26.434364, Q: 111.60715600000003, lng: 111.607156, lat: 26.434364 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431102',
                        name: '零陵区',
                        center: { P: 26.223347, Q: 111.62634800000001, lng: 111.626348, lat: 26.223347 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431128',
                        name: '新田县',
                        center: { P: 25.906927, Q: 112.22034100000002, lng: 112.220341, lat: 25.906927 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431126',
                        name: '宁远县',
                        center: { P: 25.584112, Q: 111.94452899999999, lng: 111.944529, lat: 25.584112 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431124',
                        name: '道县',
                        center: { P: 25.518444, Q: 111.59161399999999, lng: 111.591614, lat: 25.518444 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431125',
                        name: '江永县',
                        center: { P: 25.268154, Q: 111.34680300000002, lng: 111.346803, lat: 25.268154 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431129',
                        name: '江华瑶族自治县',
                        center: { P: 25.182596, Q: 111.57727599999998, lng: 111.577276, lat: 25.182596 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431123',
                        name: '双牌县',
                        center: { P: 25.959397, Q: 111.662146, lng: 111.662146, lat: 25.959397 },
                        level: 'district',
                    },
                    {
                        citycode: '0746',
                        adcode: '431127',
                        name: '蓝山县',
                        center: { P: 25.375255, Q: 112.19419499999998, lng: 112.194195, lat: 25.375255 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0745',
                adcode: '431200',
                name: '怀化市',
                center: { P: 27.550082, Q: 109.97824000000003, lng: 109.97824, lat: 27.550082 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0745',
                        adcode: '431228',
                        name: '芷江侗族自治县',
                        center: { P: 27.437996, Q: 109.68777699999998, lng: 109.687777, lat: 27.437996 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431281',
                        name: '洪江市',
                        center: { P: 27.201876, Q: 109.83176500000002, lng: 109.831765, lat: 27.201876 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431230',
                        name: '通道侗族自治县',
                        center: { P: 26.158349, Q: 109.78335900000002, lng: 109.783359, lat: 26.158349 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431223',
                        name: '辰溪县',
                        center: { P: 28.005474, Q: 110.19695300000001, lng: 110.196953, lat: 28.005474 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431222',
                        name: '沅陵县',
                        center: { P: 28.455554, Q: 110.39916099999999, lng: 110.399161, lat: 28.455554 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431224',
                        name: '溆浦县',
                        center: { P: 27.903802, Q: 110.59337299999999, lng: 110.593373, lat: 27.903802 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431229',
                        name: '靖州苗族侗族自治县',
                        center: { P: 26.573511, Q: 109.69115899999997, lng: 109.691159, lat: 26.573511 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431225',
                        name: '会同县',
                        center: { P: 26.870789, Q: 109.72078499999998, lng: 109.720785, lat: 26.870789 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431226',
                        name: '麻阳苗族自治县',
                        center: { P: 27.865991, Q: 109.80280700000003, lng: 109.802807, lat: 27.865991 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431227',
                        name: '新晃侗族自治县',
                        center: { P: 27.359897, Q: 109.174443, lng: 109.174443, lat: 27.359897 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431221',
                        name: '中方县',
                        center: { P: 27.43736, Q: 109.948061, lng: 109.948061, lat: 27.43736 },
                        level: 'district',
                    },
                    {
                        citycode: '0745',
                        adcode: '431202',
                        name: '鹤城区',
                        center: { P: 27.548474, Q: 109.98224199999999, lng: 109.982242, lat: 27.548474 },
                        level: 'district',
                    },
                ],
            },
            {
                citycode: '0743',
                adcode: '433100',
                name: '湘西州',
                center: { P: 28.314296, Q: 109.739735, lng: 109.739735, lat: 28.314296 },
                level: 'city',
                districtList: [
                    {
                        citycode: '0743',
                        adcode: '433127',
                        name: '永顺县',
                        center: { P: 28.998068, Q: 109.85329200000001, lng: 109.853292, lat: 28.998068 },
                        level: 'district',
                    },
                    {
                        citycode: '0743',
                        adcode: '433125',
                        name: '保靖县',
                        center: { P: 28.709605, Q: 109.65144499999997, lng: 109.651445, lat: 28.709605 },
                        level: 'district',
                    },
                    {
                        citycode: '0743',
                        adcode: '433124',
                        name: '花垣县',
                        center: { P: 28.581352, Q: 109.479063, lng: 109.479063, lat: 28.581352 },
                        level: 'district',
                    },
                    {
                        citycode: '0743',
                        adcode: '433101',
                        name: '吉首市',
                        center: { P: 28.314827, Q: 109.73827299999999, lng: 109.738273, lat: 28.314827 },
                        level: 'district',
                    },
                    {
                        citycode: '0743',
                        adcode: '433126',
                        name: '古丈县',
                        center: { P: 28.616973, Q: 109.949592, lng: 109.949592, lat: 28.616973 },
                        level: 'district',
                    },
                    {
                        citycode: '0743',
                        adcode: '433122',
                        name: '泸溪县',
                        center: { P: 28.214516, Q: 110.214428, lng: 110.214428, lat: 28.214516 },
                        level: 'district',
                    },
                    {
                        citycode: '0743',
                        adcode: '433130',
                        name: '龙山县',
                        center: { P: 29.453438, Q: 109.44118900000001, lng: 109.441189, lat: 29.453438 },
                        level: 'district',
                    },
                    {
                        citycode: '0743',
                        adcode: '433123',
                        name: '凤凰县',
                        center: { P: 27.948308, Q: 109.59919100000002, lng: 109.599191, lat: 27.948308 },
                        level: 'district',
                    },
                ],
            },
        ],
    },
]
// 高德
export const A_MAP_KEY = 'd06eccc211f568255ab187bc634de511' // 旧20893380130f7a850e932949b35a4ce5 d06eccc211f568255ab187bc634de511

export const A_MAP_URL = `//webapi.amap.com/maps?v=2.0&key=${A_MAP_KEY}`

// 获取文件类型
export function getFileTypeName(dictionaryId: number): string {
    switch (dictionaryId) {
        case 1:
        case 5:
            return 'hjqx'
        case 2:
            return 'syjc'
        case 3:
        case 26:
            return 'slhx'
        case 4:
            return 'qxyj'
        case 10:
            return 'zqyb'
        case 12:
            return 'dzzh'
        case 13:
            return 'zdzb'
        case 14:
            return 'qxzt'
        case 15:
            return 'jcts'
        case 16:
            return 'fxkh'
        case 17:
            return 'dqqh'
        case 18:
            return 'myzb'
        case 19:
            return 'qxbz'
        case 20:
            return 'mrfw'
        case 21:
            return 'tqgb'
        case 22:
            return 'kqzl'
        case 23:
            return 'qhgb'
        case 24:
            return 'tqyp'
        case 25:
            return 'qxkb'
        case 27:
            return 'ysqb'
        case 28:
            return 'shfx'
        default:
            return 'others'
    }
}

type WranTypes = {
    level: number
    color?: string
    text: string
    text1?: string
    roman?: string
    description?: string
}[]

// 预警类型
export const WarnTypes = [
    { label: '大风', value: 'df' },
    { label: '冰雹', value: 'bb' },
    { label: '暴雪', value: 'bx' },
    { label: '暴雨', value: 'by' },
    { label: '大雾', value: 'dw' },
    { label: '低温雨雪冰冻', value: 'dwbd' },
    { label: '干旱', value: 'gh' },
    { label: '高温', value: 'gw' },
    { label: '寒潮', value: 'hc' },
    { label: '道路结冰', value: 'jb' },
    { label: '雷电', value: 'ld' },
    { label: '雷雨大风', value: 'lf' },
    { label: '霾', value: 'm' },
    { label: '重污染天气', value: 'zwr' },
    { label: '强对流', value: 'qdl' },
    { label: '森林火险', value: 'slhx' },
]

// 预警等级
export const WARNINGS: WranTypes = [
    {
        level: 1,
        roman: 'Ⅰ',
        color: 'red',
        text: '红色预警',
        text1: '红色',
        description: '特别严重',
    },
    {
        level: 2,
        roman: 'Ⅱ',
        color: 'orange',
        text: '橙色预警',
        text1: '橙色',
        description: '严重',
    },
    {
        level: 3,
        color: 'yellow',
        roman: 'Ⅲ',
        text: '黄色预警',
        text1: '黄色',

        description: '较重',
    },
    {
        level: 4,
        roman: 'Ⅳ',
        color: 'blue',
        text: '蓝色预警',
        text1: '蓝色',

        description: '一般',
    },
]

export function getWarnInfo(type: string | number): any {
    return WARNINGS.filter((v) => type === v.level)[0] || null
}

/**
 * 通过aqi获取 污染等级
 * @param qualityLevel
 * @returns
 */

export function getAqiLevel(qualityLevel) {
    const res = { qualityLevelName: '', color: '' }
    switch (parseInt(qualityLevel)) {
        case 1:
            res.qualityLevelName = '优'
            res.color = '#24e228'
            break
        case 2:
            res.qualityLevelName = '良'
            res.color = '#e6f638'
            break

        case 3:
            res.qualityLevelName = '轻度污染'
            res.color = '#e09540'
            break

        case 4:
            res.qualityLevelName = '中度污染'
            res.color = '#f30c08'
            break

        case 5:
            res.qualityLevelName = '重度污染'
            res.color = '#a11856'
            break

        case 6:
            res.qualityLevelName = '严重污染'
            res.color = '#7a0224'
            break

        default:
            res.qualityLevelName = '优'
            res.color = '#24e228'
            break
    }
    return res
}
